import { styled } from '@nuskin/foundation-theme';
import { PropsWithChildren } from 'react';

import { CtaLinkBlockMap } from './CtaLinkMap';
import { CtaLinkProps } from './types/types';

const getBlockUUID = (block: any) => {
    return block['ctaVariant'];
};

const CtaLinkContainer = styled('div')(() => {
    return {
        margin: '0 auto'
    };
});

const NsCTALink = ({ ctaProps, liveTag }: PropsWithChildren<CtaLinkProps>) => {
    const pageBlocks = ctaProps || {};
    const blockType = getBlockUUID(pageBlocks) || 'primary';
    const ctaBody = CtaLinkBlockMap[blockType];
    const blockData: any = ctaBody?.dataParser(pageBlocks)?.['CtaItem'];
    const BlockComponent = ctaBody?.component || null;
    if (!BlockComponent) return <></>;
    return (
        <CtaLinkContainer
            className="ctaLink-container"
            data-testid="ctaLink-component"
            {...liveTag}
        >
            <BlockComponent {...blockData} />
        </CtaLinkContainer>
    );
};

export default NsCTALink;
