import * as React from 'react';
import Primary from './variants/Primary';
import Secondary from './variants/Secondary';
import getCtaPage from './model/cta-model';

type CtaLinkBlockMapType = {
    [key: string]: {
        component: React.ElementType;
        dataParser: (props: any) => void;
    };
};

export const CtaLinkBlockMap: CtaLinkBlockMapType = {
    primary: {
        dataParser: getCtaPage,
        component: Primary
    },
    secondary: {
        dataParser: getCtaPage,
        component: Secondary
    }
};
