import { NsIcon, NsTypography } from '@nuskin/foundation-ui-components';
import { SecondaryLinkWrapper } from '../helper-components/CtaLink.styled';
import { CtaLinkItemProps } from '../types/types';
import { useRouteReplacer } from '../../hooks';

const Secondary = (props: CtaLinkItemProps) => {
    const { text, url, color = 'primary' } = props;
    const { url: sanatizedUrl = '' } = useRouteReplacer(url);
    return (
        <SecondaryLinkWrapper href={sanatizedUrl}>
            <NsTypography variant="body-l" className="!m-0 cta-text" weight="bold" color={color}>
                {text}
            </NsTypography>
            <NsIcon name="arrowRight" size="small" className="icon-order" color={color} />
        </SecondaryLinkWrapper>
    );
};

export default Secondary;
