import applySpec from 'ramda/src/applySpec';
import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';
import propOr from 'ramda/src/propOr';

import { HeroTypeName, HeroVariants } from '../types';
import { BASE_HERO_PROPS } from './base-hero';

const getHeroBannerModel = applySpec({
    ...BASE_HERO_PROPS,
    textAlignment: propOr('start', HeroTypeName.textAlignment),
    backgroundScrim: propOr(false, HeroTypeName.backgroundScrim),
});

export const getHeroBannerData = compose(getHeroBannerModel, pathOr({}, [HeroVariants.HeroBanner]));
