import applySpec from 'ramda/src/applySpec';
import compose from 'ramda/src/compose';
import pathOr from 'ramda/src/pathOr';
import propOr from 'ramda/src/propOr';

import { BASE_HERO_PROPS } from './base-hero';
import { HeroTypeName, HeroVariants } from '../types';

const getSplitBannerModel = applySpec({
    ...BASE_HERO_PROPS,
    imageAlignment: propOr('left', HeroTypeName.imageAlignment),
    theme: propOr('', HeroTypeName.theme)
});

export const getSplitBannerData = compose(
    getSplitBannerModel,
    pathOr({}, [HeroVariants.SplitBanner])
);
