import { getThreeCardData } from '../../model/three-card-model';
import { ThreeCardHero } from '../../types/types';
import HeroCard from './HeroCard';
import { ThreeCardLayout } from './ThreeCards.styled';

/**
 * Renders title, description with a background image, and a call to action. This component can render an h1 title.
 */
const ThreeCards = (props: ThreeCardHero) => {
    const heroItem = getThreeCardData(props);
    return (
        <section data-testid="three-cards">
            <ThreeCardLayout>
                <HeroCard
                    isMain
                    dataTestId="hero-card-0"
                    key="main-card"
                    {...heroItem.mainCard}
                    $={props.main_hero_card?.$}
                />
                <HeroCard dataTestId="hero-card-1" key="sub-card-1" {...heroItem.subHero1} $={props.sub_hero_1?.$} />
                <HeroCard dataTestId="hero-card-2" key="sub-card-2" {...heroItem.subHero2} $={props.sub_hero_2?.$} />
            </ThreeCardLayout>
        </section>
    );
};

export default ThreeCards;
