import { NextGenThemeProvider } from '@nuskin/foundation-theme';
import { renderHook } from '@testing-library/react';

import { useMainContrast } from './useMainContrast';

const wrapper = ({ children }: any) => (
    <NextGenThemeProvider mode="light">{children}</NextGenThemeProvider>
);

const renderHookWithContext = (hook: any, initialProps?: any) =>
    renderHook(hook, { initialProps, wrapper });

describe('Hero - Hooks - useMainContrast - Using genome theme', () => {
    it('1. default: should result to theme\'s primary main pallette', () => {
        const {
            result: { current }
        } = renderHookWithContext(useMainContrast);
        expect(current).toStrictEqual({ main: '#252525', contrast: '#FFFFFF' });
    });

    it('2. Given false: should result to theme\'s primary main pallette', () => {
        const {
            result: { current }
        } = renderHookWithContext(useMainContrast, false);
        expect(current).toStrictEqual({ main: '#252525', contrast: '#FFFFFF' });
    });

    it('3. Given true: should result to theme\'s primary contrastText pallette', () => {
        const {
            result: { current }
        } = renderHookWithContext(useMainContrast, true);
        expect(current).toStrictEqual({ contrast: '#252525', main: '#FFFFFF' });
    });
});
