import { useTheme } from '@mui/material';
import { ColorUtils } from '@nuskin/foundation-theme';
import { useMemo } from 'react';

const { getGenomeColor } = ColorUtils;

/**
 * @returns {main:#FFFFFF, contrast:#252525} when passed true
 */
export const useMainContrast = (
    toggleValue: boolean = false
): { main: string; contrast: string } => {
    const theme = useTheme();

    return useMemo(() => {
        const main = getGenomeColor(theme, 'N10', toggleValue ? 'light' : 'dark');
        const contrast = getGenomeColor(theme, 'N10', toggleValue ? 'dark' : 'light');
        return { main, contrast };
    }, [toggleValue, theme]);
};
