import { useTheme } from '@mui/material';
import { ColorUtils } from '@nuskin/foundation-theme';
import { useMemo } from 'react';

const { getGenomeColor } = ColorUtils;

export const useColor = () => {
    const theme = useTheme();
    const { siteColor, siteBackground } = useMemo(() => {
        const siteColor = getGenomeColor(theme, 'N100');
        const siteBackground = getGenomeColor(theme, 'N10');
        return { siteColor, siteBackground };
    }, [theme]);
    return { siteColor, siteBackground, isDark: theme.palette.mode === 'dark' };
};
