import { useRouter } from 'next/router';
import { getRegionAndLanguageFromQuery, replaceRegionAndLanguage } from '../utils';

const useRouteReplacer = (urlToParse?: string) => {
    const { query } = useRouter();
    const replacer = getRegionAndLanguageFromQuery(query);
    const url = urlToParse ? replaceRegionAndLanguage(urlToParse, replacer) : undefined;
    return { url };
};

export default useRouteReplacer;
