export const addDecimalIfNeeded = (value: number | undefined) => {
    if (value === 0) {
        return '0.00';
    }
    if (value) {
        const strValue = String(value);

        if (strValue.indexOf('.') === -1) {
            return strValue + '.00';
        } else {
            const decimalPlaces = strValue.split('.')[1]?.length || 0;
            if (decimalPlaces < 2) {
                return strValue + '0'.repeat(2 - decimalPlaces);
            }
        }

        return strValue;
    }
    return '';
};
