import { getEnvironmentValues } from '../env-utils';

const env = getEnvironmentValues();

export const getStoreId = () =>  env.STORE_ID;

export const getStoreFrontBaseUrl = () => env.STOREFRONT_URL;

export const generateStoreFrontUrl = (url: string, searchParams: Record<string, string>) => {
    const storeFrontBaseUrl = getStoreFrontBaseUrl();
    let resultUrl = `${storeFrontBaseUrl}/${url}`;
    if (searchParams) {
        const urlParams = new URLSearchParams(searchParams);
        resultUrl += `?${urlParams}`;
    }
    return resultUrl;
}

export const getStoreFrontCustomerUrl = (url: string, searchParams: Record<string, string>) => {
    const storeFrontCustomerUrl = generateStoreFrontUrl(`customers/${url}`, searchParams);
    return storeFrontCustomerUrl;
};
